Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1073446 - missing certificates generation cause virsh and spice connection to fail
Summary: missing certificates generation cause virsh and spice connection to fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.2
Assignee: Yedidyah Bar David
QA Contact: movciari
URL:
Whiteboard: integration
Depends On: 1034634
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 13:05 UTC by rhev-integ
Modified: 2018-12-05 17:34 UTC (History)
17 users (show)

Fixed In Version: ovirt-hosted-engine-setup-1.0.0-8.el6ev
Doc Type: Bug Fix
Doc Text:
Previously, certificate authority certificates were not generated for libvirt. This resulted in a failure to connect to the engine virtual machine using virsh or SPICE during the hosted-engine deployment. Now, the necessary certificates are generated before libvirt is configured for VDSM and users can connect to the engine virtual machine using virsh or SPICE.
Clone Of: 1034634
Environment:
Last Closed: 2014-04-09 17:42:40 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0390 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2014-04-09 21:41:11 UTC
oVirt gerrit 25142 None None None Never
oVirt gerrit 25473 None None None Never
oVirt gerrit 25750 None None None Never

Comment 1 Sandro Bonazzola 2014-03-06 13:27:00 UTC
merged upstream on master, 1.1 and 1.0 branches

Comment 3 Yedidyah Bar David 2014-03-13 11:19:26 UTC
Moving back to assigned as /etc/pki/libvirt might not exist.

Comment 5 errata-xmlrpc 2014-04-09 17:42:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0390.html


Note You need to log in before you can comment on or make changes to this bug.